summaryrefslogtreecommitdiffstats
path: root/client/boot-tools
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2016-12-20 08:51:51 +0000
committerramon <ramongomez@us.es>2016-12-20 08:51:51 +0000
commit6acd145eca163ccace7171e1bb21c873bde62d15 (patch)
tree94c6e5ae6c1dcfc03e624363ff770027823016f0 /client/boot-tools
parent606a0c7fdab82517dec9148a8dd952cbb6d6aa13 (diff)
#768: Crear clientes con soporte de variable {{{ogclient}}} para usar varios ogLive, define ogLive por defecto compatible con los clientes OGClient y con soporte basado en Ubuntu 16.04 con Kernel 4.8.
git-svn-id: https://opengnsys.es/svn/branches/version1.1@5131 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'client/boot-tools')
-rwxr-xr-xclient/boot-tools/boottoolsfunctions.lib9
-rw-r--r--client/boot-tools/includes/etc/initramfs-tools/scripts/ogfunctions7
-rwxr-xr-xclient/boot-tools/includes/etc/initramfs-tools/scripts/oginit4
3 files changed, 18 insertions, 2 deletions
diff --git a/client/boot-tools/boottoolsfunctions.lib b/client/boot-tools/boottoolsfunctions.lib
index 819bbac3..c87d416a 100755
--- a/client/boot-tools/boottoolsfunctions.lib
+++ b/client/boot-tools/boottoolsfunctions.lib
@@ -97,13 +97,20 @@ case "${1,,}" in
OSARCH="i386"
OSHTTP="http://es.archive.ubuntu.com/ubuntu/"
;;
- xenial) # ogLive 1.1.0-rc4 basado en Ubuntu 16.04.
+ xenial|xenial-4.4) # ogLive 1.1.0-rc4 basado en Ubuntu 16.04 y Kernel 4.4.
OSDISTRIB="ubuntu"
OSCODENAME="xenial"
OSRELEASE="4.4.0-34-generic"
OSARCH="i386"
OSHTTP="http://es.archive.ubuntu.com/ubuntu/"
;;
+ xenial-4.8) # ogLive 1.1.0-rc5 basado en Ubuntu 16.04 y Kernel 4.8.
+ OSDISTRIB="ubuntu"
+ OSCODENAME="xenial"
+ OSRELEASE="4.8.0-30-generic"
+ OSARCH="i386"
+ OSHTTP="http://es.archive.ubuntu.com/ubuntu/"
+ ;;
host | *) # ogLive basado en la distribuciĆ³n del servidor.
OSDISTRIB=$(lsb_release -is)
OSCODENAME=$(lsb_release -cs)
diff --git a/client/boot-tools/includes/etc/initramfs-tools/scripts/ogfunctions b/client/boot-tools/includes/etc/initramfs-tools/scripts/ogfunctions
index 1175c7c3..c120632a 100644
--- a/client/boot-tools/includes/etc/initramfs-tools/scripts/ogfunctions
+++ b/client/boot-tools/includes/etc/initramfs-tools/scripts/ogfunctions
@@ -133,7 +133,8 @@ ogExportVarEnvironment ()
;;
smb|SMB|cifs|CIFS|samba|SAMBA)
export SRCOGLIVE="tftpboot" && echo "SRCOGLIVE=$SRCOGLIVE" >> $CFGINITRD
- export SRCOGSHARE="ogclient" && echo "SRCOGSHARE=$SRCOGSHARE" >> $CFGINITRD
+ export DEFOGSHARE="ogclient"
+ export SRCOGSHARE="${oglive:-$DEFOGSHARE}" && echo "SRCOGSHARE=$SRCOGSHARE" >> $CFGINITRD
export SRCOGLOG="oglog" && echo "SRCOGLOG=$SRCOGLOG" >> $CFGINITRD
export SRCOGIMAGES="ogimages$OGUNIT" && echo "SRCOGIMAGES=$SRCOGIMAGES" >> $CFGINITRD
;;
@@ -454,7 +455,11 @@ ogConnect ()
# TODO: buscar condicion para NFS
fi
;;
+ *)
+ return 1
+ ;;
esac
+ return $?
}
diff --git a/client/boot-tools/includes/etc/initramfs-tools/scripts/oginit b/client/boot-tools/includes/etc/initramfs-tools/scripts/oginit
index e79eb53d..a8879673 100755
--- a/client/boot-tools/includes/etc/initramfs-tools/scripts/oginit
+++ b/client/boot-tools/includes/etc/initramfs-tools/scripts/oginit
@@ -110,6 +110,10 @@ mountroot ()
[ "$ogdebug" == "true" ] && ogYesNo --timeout 5 --default no "Stop before connect with client dir SHARE -engine,scripts,interface, -share- on $OGSERVERSHARE : y/N "
[ $? == 0 ] && sh || echo " "
ogConnect $OGSERVERSHARE $OGPROTOCOL $SRCOGSHARE $DSTOGSHARE
+ if [ $? -ne 0 -a "$SRCOGSHARE" != "$DEFOGSHARE"]; then
+ ogConnect $OGSERVERSHARE $OGPROTOCOL $DEFOGSHARE $DSTOGSHARE && SRCOGSHARE=$DEFOGSHARE
+ fi
+ unset DEFOGSHARE
[ "$ogdebug" == "true" ] && ogYesNo --timeout 5 --default no "Stop before connect with client dir LOG STORAGE on $OGSERVERLOG : y/N "
[ $? == 0 ] && sh || echo " "